## org.biojava.bio.gui
Class BarLogoPainter

    java.lang.Object
      org.biojava.bio.gui.BarLogoPainter

All Implemented Interfaces:
  LogoPainter

    public class BarLogoPainter

extends Object
implements LogoPainter

A logo painter that paints in bars. The total height of the bars is proportional to the total informaton in the state.

Author:
  Matthew Pocock

Constructor Summary
`BarLogoPainter()`

Method Summary
`void` `paintLogo(LogoContext lCtxt)` Render the state from sl onto the graphics object g.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BarLogoPainter

    public BarLogoPainter()

Method Detail

### paintLogo

    public void paintLogo(LogoContext lCtxt)

  Description copied from interface: `LogoPainter`
  Render the state from sl onto the graphics object g.

  Specified by:
    `paintLogo` in interface `LogoPainter`
  Parameters:
    `lCtxt` - the LogoContext to render